sailpoint.object

## Class Filter.FilterCompiler

- java.lang.Object
- - sailpoint.object.Filter.FilterCompiler

Enclosing class:
  Filter

    public static class Filter.FilterCompiler
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Filter.FilterCompiler.IdentitiferLookAhead`

### Constructor Summary

Constructors
Constructor and Description
`FilterCompiler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Filter` `compileFilter(java.lang.String filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterCompiler

    public FilterCompiler()

### Method Detail

#### compileFilter

    public Filter compileFilter(java.lang.String filter)
                         throws ParseException

Throws:
  `ParseException`